TreeCapFloorEngine Class Reference
Pricing engines » Cap/floor engines

Numerical lattice engine for cap/floors. More...

`#include <ql/pricingengines/capfloor/treecapfloorengine.hpp>`

Inheritance diagram for TreeCapFloorEngine:
[legend]

## Public Member Functions

void | calculate () const
Constructors

Note
  the term structure is only needed when the short-rate model cannot provide one itself.

| TreeCapFloorEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCapFloorEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
Public Member Functions inherited from LatticeShortRateModelEngine< CapFloor::arguments, CapFloor::results >
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const Handle< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid)
void | update ()
Public Member Functions inherited from GenericModelEngine< ShortRateModel, CapFloor::arguments, CapFloor::results >
| GenericModelEngine (const Handle< ShortRateModel > &model=Handle< ShortRateModel >())
| GenericModelEngine (const boost::shared_ptr< ShortRateModel > &model)
Public Member Functions inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from LatticeShortRateModelEngine< CapFloor::arguments, CapFloor::results >
TimeGrid | timeGrid_
Size | timeSteps_
boost::shared_ptr< Lattice > | lattice_
Protected Attributes inherited from GenericModelEngine< ShortRateModel, CapFloor::arguments, CapFloor::results >
Handle< ShortRateModel > | model_
Protected Attributes inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
CapFloor::arguments | arguments_
CapFloor::results | results_

## Detailed Description

Numerical lattice engine for cap/floors.